GOPEN_GKS(3NCARG)

NAME
gopen_gks - opens the GKS package

SYNOPSIS
#include <ncarg/gks.h>

void gopen_gks(const char *err_file, size_t mem_unit);

DESCRIPTION

err_file
    (Input) - The place to which error messages are to be written. Typically this should be "stdout".

mem_unit
    (Input) - The dimension of an internal buffer. Currently in NCAR GKS-0A, mem_unit is ignored.

USAGE
To get output to any workstation, gopen_gks, gopen_ws and gactivate_ws must be called in that order. For jobs producing only CGM output, the three calls to gopen_gks, gopen_ws, and gactivate_ws can be replaced with a call to the SPPS function c_opngks().

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gopen_ws(3NCARG), gactivate_ws(3NCARG), gdeactivate_ws(3NCARG), gclose_ws(3NCARG), gclose_gks(3NCARG), gupd_ws(3NCARG), opngks(3NCARG), clsgks(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.